%define installdir %_var/www/html/addon-modules/seiroswiki
# Speed-up build process
%define _verify_elf_method skip
%define _strip_method none

Name: seiroswiki
Version: 0.0.1
Release: alt8

Summary: A slight and handy Wiki-engine based on Wakka Wiki.
License: free, see docs/LICENSE
Group: Networking/Other

URL: http://seiroswiki.sourceforge.net
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>
BuildArch: noarch

Source0: seiroswiki.tar

Requires: php-engine

%description
seiroswiki - Small, lightweight, handy, expandable, multilingual Wiki-engine
based on Wakka Wiki. WYSIWYG editor, easy installer, many localizations,
email notification on changes/comments, several cache levels, design themes
(skins) support, XHTML compliance, page rights (ACLs), page comments.

%package apache
Summary: apache-related config and control(8) call
Group: Networking/Other
Requires: %name = %version-%release, apache

%description apache
%summary

%package apache2
Summary: apache2-related config and control(8) call
Group: Networking/Other
Requires: %name = %version-%release, apache2

%description apache2
%summary

%package lighttpd
Summary: lighttpd-related control(8) call
Group: Networking/Other
Requires: %name = %version-%release, lighttpd

%description lighttpd
%summary

%package nginx
Summary: nginx-related control(8) call
Group: Networking/Other
Requires: %name = %version-%release, nginx

%description nginx
%summary

%package php4
Summary: PHP4 depends for %name
Group: Networking/Other
Requires: php-gd2 php-mysql

%description php4
%summary

%package php5
Summary: PHP5 depends for %name
Group: Networking/Other
Requires: php5-gd2 php5-mysql

%description php5
%summary

%prep
%setup -q -n seiroswiki

%build

%install
# install apache config
install -pD -m0644 docs/apache.conf %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
install -pD -m0644 docs/apache2.conf %buildroot%_sysconfdir/httpd2/conf/addon.d/A.%name.conf

# install control file
install -pDm0755 extra/%name.control %buildroot%_controldir/%name

# install wiki
mkdir -p %buildroot%installdir
cp -rp * %buildroot%installdir/

# installer can't create config because directory permissions doesn't allow crating files
touch %buildroot%installdir/wakka.config.php

# remove .htaccess files - we're use apache config instead
find %buildroot%installdir -name .htaccess -delete

# remove .gitignore files
find %buildroot%installdir -name .gitignore -delete

# give to group rw-access
chmod 2770 %buildroot%installdir/{xml,_cache,files,files/perpage}

%pre
# dump facility state before upgrading package
%pre_control %name

%post
# restore facility state after upgrading package
%post_control %name

%post apache
# set facility at first package install
if [ $1 -eq 1 ]; then
	%_sbindir/control %name apache
fi
%_sbindir/apxs -e -a -n rewrite %_libdir/apache/mod_rewrite.so >/dev/null 2>&1 ||:
%_initdir/httpd reload >/dev/null 2>&1 ||:

%postun apache
%_initdir/httpd reload

%post lighttpd
# set facility at first package install
if [ $1 -eq 1 ]; then
	%_sbindir/control %name lighttpd
fi

%post nginx
# set facility at first package install
if [ $1 -eq 1 ]; then
	%_sbindir/control %name nginx
fi

%post apache2
# activate modules
a2enmod rewrite >/dev/null 2>&1
a2enmod expires >/dev/null 2>&1
%_initdir/httpd2 condreload 1>&2 ||:
# set facility at first package install
if [ $1 -eq 1 ]; then
	%_sbindir/control %name apache2
fi
%_initdir/httpd2 reload

%postun apache2
%_initdir/httpd2 reload
if [ $1 -eq 0 ]; then
        a2dismod expires
        %_initdir/httpd2 condreload ||:
fi

%files
%config %_controldir/*
%config(noreplace) %attr(0660,root,root) %installdir/wakka.config.php
%dir %installdir
%dir %attr(2770,root,root) %installdir/_cache
%dir %attr(2770,root,root) %installdir/xml
%dir %attr(2770,root,root) %installdir/files
%dir %attr(2770,root,root) %installdir/files/perpage
%installdir/interwiki.conf
%installdir/index.php
%installdir/wakka.php
%installdir/actions
%installdir/banners
%installdir/themes
%installdir/classes
%installdir/db
%installdir/formatters
%installdir/handlers
%installdir/images
%installdir/js
%installdir/lang
%installdir/lib
%installdir/libs
%installdir/setup
%installdir/templates
%doc docs
%exclude %installdir/docs
%exclude %installdir/seiroswiki.spec
%exclude %installdir/extra

%files apache
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%files apache2
%config(noreplace) %_sysconfdir/httpd2/conf/addon.d/A.%name.conf

%files lighttpd

%files nginx

%files php4

%files php5

%changelog
* Mon Mar 03 2008 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt8
- Fix bug with "WikiEdit" toolbar
- Print more descriptive error message when page deletion failed
  (Closes: #13882)

* Tue Sep 11 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt7
- Fixed rewrite rules for apache2 (Closes: #12743)

* Fri Jun 15 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt6
- Set dependency on php{5}-gd2, move it to separate subpackages
  (Closes: #12041)
- Add subpackages for php4/5 dependencies
- Activate mod_rewrite after apache{2} subpackage install
- Supress output of httpd* daemons reload
- Handle config permissions with control(8)
- Add "public" control facility state
- Updated README.ALT

* Thu Jun 07 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt5
- Disable uploads by default
- Switch to use control(8) macroses in spec

* Mon Apr 23 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt4
- Merged mithraen@ changes:
  + Fix antibot picture when add comments
  + Fix registration antibot picture
  + some other (see git changelog)

* Mon Apr 09 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt3
- Fix filename of apache2-related config
- Corrected Alias and Directory directives in apache2-related config
- Activate mod_rewrite after %name-apache2 package install

* Wed Apr 04 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt2
- Move apache{1,2}-related config files into separate packages
- Implemented control(8) support for swithing between webservers
- Updated README.ALT
- Speed up build process
- More reasonable default config:
  + default language set to "ru"
  + upload set to "true"
  + increase maximum upload size
  + disable multilanguage by default
  + set db_collation to cp1251
- Add 'search' GET param to URLs from search results (mithraen)

* Tue Jan 30 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt1
- Switched to mithraen@'s SeirosWiki
- Updated README.ALT
- Enable rewrite mode by default
- Remove unneeded manipulations with apache config files
- Update URL
- Update description
